=== modified file 'test/rational.py'
--- test/rational.py	2011-05-24 09:18:41 +0000
+++ test/rational.py	2011-07-23 07:07:31 +0000
@@ -76,6 +76,11 @@
         self.assertEqual(str(Rational(3, 5)), '3/5')
         self.assertEqual(str(Rational(-3, 5)), '-3/5')
 
+    def test_repr(self):
+        self.assertEqual(repr(Rational(3, 5)), 'Rational(3, 5)')
+        self.assertEqual(repr(Rational(-3, 5)), 'Rational(-3, 5)')
+        self.assertEqual(repr(Rational(0, 3)), 'Rational(0, 3)')
+
     def test_to_float(self):
         self.assertEqual(Rational(3, 6).to_float(), 0.5)
         self.assertEqual(Rational(11, 11).to_float(), 1.0)

